import { getChromeStorage } from '@/uilts/chromeExtension.js'
import { srcPublishSuccess } from '@/http/publishApi'

// 重新绑定推文id
export const reSetBindTwtterId = ({
    postId = '',
    tweetId = ''
}, callback) => {
    getChromeStorage('userInfo', (_userInfo = {}) => {
        // if (_userInfo && _userInfo.uid == _params.uid) {
        if (_userInfo.uid) {
            srcPublishSuccess({
                params: {
                    postId,
                    srcContentId: tweetId
                }
            }).then((res) => {
                if (res.code == 0 || res.code == 3003) {
                    callback && callback()
                }
            })
        }
    })
}